# -*- coding: utf-8 -*-


from django.core.urlresolvers import reverse
from django.test.client import Client

from .common import CommonTest


class SecuriteTest(CommonTest):
    """
    Test l'accès aux API
    """
    pong_urls = (
        'pong',
        'pong_dependances',
        'pong_utilisateurs',
        )

    def test_api_autorise(self):
        for url_name in self.pong_urls:
            url = reverse(url_name)
            response = self.client.get(url)
            self.assertEqual(response.status_code, 200, url)

    def test_api_forbidden(self):
        client = Client(REMOTE_ADDR='127.0.0.1')
        for url_name in self.pong_urls:
            url = reverse(url_name)
            response = client.get(url)
            self.assertEqual(response.status_code, 403, url)
