# -*- coding: utf-8 -*-

import json
import pkg_resources

from django.http import HttpResponse
from django.contrib.auth.models import User

from .decorators import auf_acl_required


@auf_acl_required
def pong(request,):
    return HttpResponse("Site fonctionnel")


@auf_acl_required
def pong_dependances(request,):

    dependances = []

    distros = pkg_resources.working_set

    for distro in distros:
        dependance = {
            'nom': distro.key,
            'version': distro.version,
            'version_python': distro.py_version,
            'location': distro.location, }
        dependances.append(dependance)

    dependances = json.dumps(dependances)

    reponse = HttpResponse(dependances, content_type="application/json")
    return reponse


@auf_acl_required
def pong_utilisateurs(request,):
    utilisateurs = []
    for user in User.objects.all():
        u = {
            'identifiant': user.username,
            'courriel': user.email,
            'nom': user.last_name,
            'prenom': user.first_name,
            'actif': user.is_active,
            }
        utilisateurs.append(u)
    utilisateurs = json.dumps(utilisateurs)

    reponse = HttpResponse(utilisateurs, content_type="application/json")
    return reponse
